Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

gtk+-3.2.0 has been out since 26-Sep-2011. When will there be a package available for Ubuntu natty? I've tried building it myself but it's very difficult, all I get are errors. The references pages aren't very much help there too advanced.


I installed the following:

sudo apt-get install libffi-dev zlib1g-dev fam libdbus-1-dev libdbus-glib-1-dev gobject-introspection libxext-dev libxrender1-dbg colordiff libcairo2-dev libtiff4-dev libpng12-dev libxft-dev libxi-devel

I have the dir /home/me/gtk there I have the folders:

atk-2.1.5
gdk-pixbuf-2.24.1
glib-2.30.1
gtk+-3.2.3
pango-1.29.1

Then:

cd /home/me/gtk/glib-2.30.1
./configure && make
rm -rf /home/me/gtk/include/glib.h  /home/me/gtk/include/gmodule.h  (glib INSTALL instructions)
make install

repeat for the other folders except without the rm, in the following order:

  1. atk-2.1.5
  2. gdk-pixbuf-2.24.1
  3. pango-1.29.1
  4. gtk+-3.2.3

Before running ./configure for gtk+-3.2.3 I do:

CPPFLAGS="-I/home/me/gtk/include"
LDFLAGS="-L/home/me/gtk/lib"
PKG_CONFIG_PATH="/home/me/gtk/lib/pkgconfig"
export CPPFLAGS LDFLAGS PKG_CONFIG_PATH
LD_LIBRARY_PATH="/home/me/gtk/lib"
PATH="/home/me/gtk/bin:$PATH"
export LD_LIBRARY_PATH PATH
export PKG_CONFIG_PATH="/home/me/gtk/lib/pkgconfig:$PKG_CONFIG_PATH"

I get the these errors when I run make on gtk+-3.2.3:

gdkwindow-x11.c: In function '_gdk_x11_moveresize_handle_event':
gdkwindow-x11.c:4301:9: error: 'XIEvent' undeclared (first use in this function)
gdkwindow-x11.c:4301:9: note: each undeclared identifier is reported only once for each function it appears in
gdkwindow-x11.c:4301:18: error: 'ev' undeclared (first use in this function)
gdkwindow-x11.c:4301:33: error: expected expression before ')' token
gdkwindow-x11.c:4302:9: error: 'XIDeviceEvent' undeclared (first use in this function)
gdkwindow-x11.c:4302:24: error: 'xev' undeclared (first use in this function)
gdkwindow-x11.c:4302:46: error: expected expression before ')' token
gdkwindow-x11.c:4306:16: error: 'XI_Motion' undeclared (first use in this function)
gdkwindow-x11.c:4308:13: warning: implicit declaration of function '_gdk_x11_device_xi2_translate_state'
gdkwindow-x11.c:4313:16: error: 'XI_ButtonRelease' undeclared (first use in this function)
make[4]: *** [gdkwindow-x11.lo] Error 1
make[4]: Leaving directory `/home/me/gtk/gtk+-3.2.3/gdk/x11'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/me/gtk/gtk+-3.2.3/gdk'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/me/gtk/gtk+-3.2.3/gdk'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/me/gtk/gtk+-3.2.3'
make: *** [all] Error 2
share|improve this question
2  
Welcome to Ask Ubuntu! Can you provide additional details on what error messages you are encountering while trying to build gtk+? We might be able to help you work around them. –  WarriorIng64 Jan 3 '12 at 0:00
2  
First of all, I have to ask why do you want to do this? Why not just upgrade to 11.10? –  jrg Jan 3 '12 at 2:05

1 Answer 1

There won't be. 11.04 is a stable release, so it doesn't get new upstream releases, except for a few special cases like firefox. Unless someone adds it to the natty-backports repository, but backports doesn't see much activity, especially on non LTS releases.

share|improve this answer

protected by Community Mar 22 '12 at 19:07

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.